package cokr.xit.ens.biz.iup.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 민자고속도로 발송시도상태 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 6. 29. 오후 3:51:43
 * </ul>
 * @author 박민규
 */

public enum IupSendTrySttusCd implements CodeMapperType {

    TRYING("시도중")
    , CMPLT("완료")
    ;

    private final String code;     
    private final String codeNm;   
    IupSendTrySttusCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
